Run Gartner Market
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-gartner-markets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"market": "data-loss-prevention"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-gartner-markets"
payload = { "market": "data-loss-prevention" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({market: 'data-loss-prevention'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-gartner-markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "gartner_market",
"market": "data-loss-prevention",
"human": "# Gartner Peer Insights market\n\n- **Market:** data-loss-prevention\n- **Proxy traffic:** 2.06 MB\n- **Name:** Data Loss Prevention\n- **Reviews:** 3508\n- **Products:** 93",
"machine": {
"market": {
"id": "412",
"ref_id": "412",
"name": "Data Loss Prevention",
"alias": "data-loss-prevention",
"subtitle": "What is Data Loss Prevention?",
"description": "Gartner defines data loss prevention (DLP) as a technical control designed to prevent data loss in order to comply with personal data regulations, prevent unintended disclosure, minimize insider risk and ensure that sensitive data is not overly accessible. DLP controls are typically applied to reduce the data risk for two states of unstructured data: data at rest and data in motion. Depending on t",
"review_count": 3508,
"product_count": 93,
"is_service": null,
"parent_category": null,
"features_updated_at": null,
"mandatory_features": [],
"common_features": [],
"review_guidance_keywords": [],
"research_documents": [],
"lessons_learned": null,
"url": "https://www.gartner.com/reviews/market/data-loss-prevention"
},
"proxy_traffic_bytes": 2157733
},
"total_points": 5
}Product reviews
Run Gartner Market
Fetches a Gartner Peer Insights market profile by alias or URL: features, research, and lessons learned. Flat 5 points per successful lookup.
POST
/
functions
/
v1
/
run-gartner-markets
Run Gartner Market
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Market alias or URL.
Response
Run completed.